Bug 598360 - Upgrading Fedora 12 to 13, GRUB or Anaconda messes up dual boot Fedora / Windows XP
Upgrading Fedora 12 to 13, GRUB or Anaconda messes up dual boot Fedora / Wind...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
13
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 04:04 EDT by Stephen Hatfield
Modified: 2011-06-02 15:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:55:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Results from Boot Info Script (7.99 KB, text/plain)
2010-06-01 04:07 EDT, Stephen Hatfield
no flags Details
Grub's menu.lst from the affected PC (1.38 KB, application/octet-stream)
2010-06-01 04:09 EDT, Stephen Hatfield
no flags Details
Grub's menu.lst from the affected PC (1.38 KB, text/plain)
2010-06-01 04:10 EDT, Stephen Hatfield
no flags Details
the "repaired" menu.lst for comparison (1.89 KB, text/plain)
2010-06-02 19:21 EDT, Stephen Hatfield
no flags Details

  None (edit)
Description Stephen Hatfield 2010-06-01 04:04:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2.3) Gecko/20100403 Fedora/3.6.3-4.fc13 Firefox/3.6.3

Upgrading my desktop workstation from Fedora 12 to Fedora 13 and all seemed to go very well. Anaconda seemed to understand the machine was a dual boot and was going to update the boot loader.  When I rebooted, things were messed up and I cannot boot either Fedora 13 or Windows XP.  This was my third upgrade on a RAID 0 PC, but this one was FakeRAID.  I have a lot of files and info to share, but am too confused and will wait to see what is needed . . . 

Reproducible: Always

Steps to Reproduce:
1.power up PC
2.watch boot msgs
3.see blank screen when it is time for GRUB
Actual Results:  
see blank screen when it is time for GRUB

Expected Results:  
see available kernels and windows xp at boot time menu

I spent hours recovering my data manually and am ready for some help to get this fixed.  All the files are still on the system and I am pretty capable.
Comment 1 Stephen Hatfield 2010-06-01 04:07:37 EDT
Created attachment 418524 [details]
Results from Boot Info Script
Comment 2 Stephen Hatfield 2010-06-01 04:09:33 EDT
Created attachment 418528 [details]
Grub's menu.lst from the affected PC
Comment 3 Stephen Hatfield 2010-06-01 04:10:31 EDT
Created attachment 418530 [details]
Grub's menu.lst from the affected PC
Comment 4 Stephen Hatfield 2010-06-02 19:20:21 EDT
I have been able to salvage the Windows XP and Fedora 13 installations as well as all of my data by using the 'Super Grub Disk 0.97' recovery tool.  I am also attaching the "repaired" menu.lst for comparison purposes.  First, I had to repair the MBR to get grub working,, the the menus and presto!  my installations were accessible once more!

I should have guessed that something was up when during the installation it did not detect my RAID 0 until I selected the storage for enterprise class installations.  The two previous upgrades were closer to enterprise class machines because they had real Adaptec RAID 0 install, but they were detected as Basic storage.   The fakeRAID on my workstation is hardly enterprise class . . . grub was not detecting them as having a BIOS drive associated with the /dev/mapper/pdc_blahblah and things got out of whack . . .
Comment 5 Stephen Hatfield 2010-06-02 19:21:37 EDT
Created attachment 419209 [details]
the "repaired" menu.lst for comparison
Comment 6 Bug Zapper 2011-06-02 08:32:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Stephen Hatfield 2011-06-02 15:55:21 EDT
Moved on to Fedora 15 . . .

Note You need to log in before you can comment on or make changes to this bug.